MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025370Open CASCADE[OCCT] OCCT:Visualizationpublic2014-10-14 19:042014-11-11 13:01
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025370: Visualization - misprint in PrsMgr_PresentationManager::Connect()
Description
  if (!HasPresentation (thePrsObject, theMode))
  {
    AddPresentation (thePrsObject, theMode);
  }
  if (!HasPresentation (theOtherObject, theOtherMode))
  {
    AddPresentation (theOtherObject, theOtherMode);
  }
  Presentation (thePrsObject, theMode)->Connect (Presentation (theOtherObject, theMode));

apparently "->Connect (Presentation (theOtherObject, theOtherMode))" should be called instead.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0024837closedbugmaster Visualization - revise design and implementation of connected Interactive Objects 

-  Notes
(0033077)
git (administrator)
2014-10-14 19:07

Branch CR25370 has been created by kgv.

SHA-1: ae546154e4860662fb006453e6fb83ede1c5502f


Detailed log of new commits:

Author: kgv
Date: Tue Oct 14 19:07:00 2014 +0400

    0025370: Visualization - misprint in PrsMgr_PresentationManager::Connect()
    
    fix theMode -> theOtherMode
(0033078)
kgv (developer)
2014-10-14 19:09

Please take patch from branch CR25370, no testing needed.
(0033200)
mkv (tester)
2014-10-16 13:07

Dear BugMaster,
Branch CR25370 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms.
SHA-1: ae546154e4860662fb006453e6fb83ede1c5502f

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Testing cases:
Not needed
(0033400)
git (administrator)
2014-10-21 16:40

Branch CR25370 has been deleted by inv.

SHA-1: ae546154e4860662fb006453e6fb83ede1c5502f

- Related Changesets
occt: master 01d5be80
Timestamp: 2014-10-14 15:07:00
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025370: Visualization - misprint in PrsMgr_PresentationManager::Connect()

fix theMode -> theOtherMode
mod - src/PrsMgr/PrsMgr_PresentationManager.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-14 19:04 kgv New Issue
2014-10-14 19:04 kgv Assigned To => kgv
2014-10-14 19:07 git Note Added: 0033077
2014-10-14 19:07 kgv Relationship added child of 0024837
2014-10-14 19:09 kgv Note Added: 0033078
2014-10-14 19:09 kgv Assigned To kgv => bugmaster
2014-10-14 19:09 kgv Status new => resolved
2014-10-14 19:09 kgv Status resolved => reviewed
2014-10-16 09:21 mkv Assigned To bugmaster => mkv
2014-10-16 13:07 mkv Note Added: 0033200
2014-10-16 13:07 mkv Assigned To mkv => bugmaster
2014-10-16 13:07 mkv Status reviewed => tested
2014-10-20 10:24 bugmaster Changeset attached => occt master 01d5be80
2014-10-20 10:24 bugmaster Status tested => verified
2014-10-20 10:24 bugmaster Resolution open => fixed
2014-10-21 16:40 git Note Added: 0033400
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 13:01 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker